<?php
/*
Plugin Name: LinkDeli script helper
Plugin URI: https:linkdeli.com
description: easily place your linkdeli lists inside your wordpress blog posts. The plugin just builds the script code
Version: 0.1
Author: Aris Korbetis / LinkDeli.com
Author URI: https://korbetis.com/aris
License: GPL2
*/

define("VERSION", "0.1");

function replaceLinkDeliCode_func($atts) {
    if (!trim($atts['uuid'])) {
        return "Owner: Please grab a fresh copy of the shortcode from your LinkDeli dashboard. ";
    }

    $uuid= trim($atts['uuid']);
    $timestamp_for_cachebust = ceil(current_time( "timestamp") / 1000);

    return '
	<!-- LinkDeli Code Start - wordpress plugin -->
	<a class="linkdeli-image" href="https://linkdeli.com/view/' . $uuid . '" rel="nofollow"><img src="https://linkdeli.s3.amazonaws.com/public/placeholders/' . $uuid . '.jpg"></a>
<script class="linkdeli-widget" data-campaign="' . $uuid . '" src="https://linkdeli.com/widget.js?' . $timestamp_for_cachebust . '" async="true"></script><!-- LinkDeli Code End --> ';



}

add_shortcode('linkdeli', 'replaceLinkDeliCode_func');
